Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.relesystest.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"d53392a6-dbdb-470b-8c01-e19370c88c8a","url":null,"fillingId":"b8a9af7a-4aba-494a-a17c-9d98917e6e80","fillingUrl":null,"stageId":"f947d62b-1023-43dc-b366-df2ff05d9240","stageUrl":null,"userId":"2fb263a2-e096-4cb9-9e51-406fdaeb89ca","userUrl":null,"creationDateTime":"2026-10-25T06:16:41.8712177+00:00","lastModifiedDateTime":"2026-10-26T06:16:41.8712177+00:00","value":"Stage Comment 1","medias":[{"id":"96e474ac-80b2-4509-b649-73607951db80","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"bd74f453-cfbc-43e4-8256-6f3431cf4608","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"1374a599-719e-4021-a463-3a20d4c0185b","url":null,"fillingId":"0bda0e6c-e475-470c-aa6a-7a2974cb31ee","fillingUrl":null,"stageId":"501e64bd-ab6f-4510-9f43-a740ca56ed89","stageUrl":null,"userId":"44cd2eb1-25b4-4761-a10a-4ae2eecb355e","userUrl":null,"creationDateTime":"2026-10-25T06:16:41.8712177+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string